Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::Cert_Extension::Key_Usage Class Referencefinal

`#include <x509_ext.h>`

Inheritance diagram for Botan::Cert_Extension::Key_Usage:

## Public Member Functions
Key_Usage * | copy () const override
Key_Constraints | get_constraints () const
| Key_Usage (Key_Constraints c=NO_CONSTRAINTS)
virtual OID | oid_of () const
virtual void | validate (const X509_Certificate &subject, const X509_Certificate &issuer, const std::vector< std::shared_ptr< const X509_Certificate >> &cert_path, std::vector< std::set< Certificate_Status_Code >> &cert_status, size_t pos)

## Detailed Description

Key Usage Constraints Extension

Definition at line 209 of file x509_ext.h.

## Constructor & Destructor Documentation

Botan::Cert_Extension::Key_Usage::Key_Usage | ( | Key_Constraints | c = `NO_CONSTRAINTS` | ) |
| inline explicit

Definition at line 214 of file x509_ext.h.

214 : m_constraints(c) {}

## Member Function Documentation

Key_Usage* Botan::Cert_Extension::Key_Usage::copy | ( |  | ) | const
| inline override virtual

Make a copy of this extension

Returns
  copy of this

Implements Botan::Certificate_Extension.

Definition at line 212 of file x509_ext.h.

212 { return new Key_Usage(m_constraints); }
Botan::Cert_Extension::Key_Usage::Key_Usage
Key_Usage(Key_Constraints c=NO_CONSTRAINTS)
Definition: x509_ext.h:214

Key_Constraints Botan::Cert_Extension::Key_Usage::get_constraints | ( |  | ) | const
| inline

Definition at line 216 of file x509_ext.h.

Referenced by Botan::PKCS10_Request::constraints().

216 { return m_constraints; }

OID Botan::Certificate_Extension::oid_of | ( |  | ) | const
| virtual inherited

Returns
  OID representing this extension

Reimplemented in Botan::Cert_Extension::Unknown_Critical_Extension.

Definition at line 76 of file x509_ext.cpp.

References Botan::OIDS::lookup(), and Botan::Certificate_Extension::oid_name().

Referenced by Botan::Extensions::add(), Botan::Extensions::encode_into(), and Botan::Extensions::replace().

77 {
78 return OIDS::lookup(oid_name());
79 }
Botan::Certificate_Extension::oid_name
virtual std::string oid_name() const =0
Botan::OIDS::lookup
std::string lookup(const OID &oid)
Definition: oids.cpp:18

void Botan::Certificate_Extension::validate | ( | const X509_Certificate & | subject,
|  | const X509_Certificate & | issuer,
|  | const std::vector< std::shared_ptr< const X509_Certificate >> & | cert_path,
|  | std::vector< std::set< Certificate_Status_Code >> & | cert_status,
|  | size_t | pos
| ) |  |
| virtual inherited

Reimplemented in Botan::Cert_Extension::Unknown_Critical_Extension, and Botan::Cert_Extension::Name_Constraints.

Definition at line 84 of file x509_ext.cpp.

88 {
89 }

The documentation for this class was generated from the following files:

- src/lib/x509/x509_ext.h
- src/lib/x509/x509_ext.cpp